Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.impl
Class QueryEngineResultSetImpl

    java.lang.Object
      de.uka.ipd.consensus.impl.QueryEngineResultSetImpl

All Implemented Interfaces:
  QueryEngineResultSet

public class QueryEngineResultSetImpl
extends Object
implements QueryEngineResultSet

TODO

Version:
  2006-06-14
Author:
  Thomas Much

Constructor Summary
`QueryEngineResultSetImpl(OntologyManagerImpl omi, org.tm4j.tologx.TologResultsSet rs)`

Method Summary
`int` | `getColumnCount()` Returns of how many data columns each row consists.
`Collection` | `getColumnNames()` Returns a collection of the column names.
`int` | `getRowCount()` Returns how many result rows the query yielded.
`Collection` | `getRows()` Returns a collection of row collections, i.e. each entry in the returned collection is itself a collection containing the colums of the row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryEngineResultSetImpl

    public QueryEngineResultSetImpl(OntologyManagerImpl omi,
                                    org.tm4j.tologx.TologResultsSet rs)

Method Detail

### getRowCount

    public int getRowCount()

  Description copied from interface: `QueryEngineResultSet`
  Returns how many result rows the query yielded.

  Specified by:
    `getRowCount` in interface `QueryEngineResultSet`
  Returns:
    the number of result rows (0..n)
  See Also:
    `QueryEngineResultSet.getRows()`

### getColumnCount

    public int getColumnCount()

  Description copied from interface: `QueryEngineResultSet`
  Returns of how many data columns each row consists.

  Specified by:
    `getColumnCount` in interface `QueryEngineResultSet`
  Returns:
    the number of data columns (0..m) per row
  See Also:
    `QueryEngineResultSet.getColumnNames()`

### getRows

    public Collection getRows()

  Description copied from interface: `QueryEngineResultSet`
  Returns a collection of row collections, i.e. each entry in the returned collection is itself a collection containing the colums of the row.

  Specified by:
    `getRows` in interface `QueryEngineResultSet`
  Returns:
    a collection of row collections
  See Also:
    `QueryEngineResultSet.getRowCount()`

### getColumnNames

    public Collection getColumnNames()

  Description copied from interface: `QueryEngineResultSet`
  Returns a collection of the column names. The names are not included in the data rows.

  Specified by:
    `getColumnNames` in interface `QueryEngineResultSet`
  Returns:
    a collection of the column names
  See Also:
    `QueryEngineResultSet.getColumnCount()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD